Unable to open JustinMind application on Mac

Khushbedi shared this problem 50 days ago
Known

I have Mac Catalina 10.15.6. The application is asking me to install Java Legacy version which is not supported by my OS. I already have java latest version installed.


How can I use this application on my system. I have downloaded the trial version of your software.

Comments (1)

photo
1

Did you get the installer from our web site? Try downloading it again from https://www.justinmind.com/download